MultipleKeyNIODataEntry (Oracle - Berkeley DB Java API)
Date: 2013-05-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MultipleKeyNIODataEntry

    java.lang.Object
      com.sleepycat.db.DatabaseEntry
          com.sleepycat.db.MultipleEntry
              com.sleepycat.db.MultipleKeyNIODataEntry

    public class MultipleKeyNIODataEntry

extends MultipleEntry

A DatabaseEntry that holds multiple key/data pairs returned by a single `Database` or `Cursor` get call.

Constructor Summary
`MultipleKeyNIODataEntry()` Construct an entry with no data.
`MultipleKeyNIODataEntry(ByteBuffer data)` Construct an entry with a given java.nio.ByteBuffer.

Method Summary
`boolean` | `next(DatabaseEntry key, DatabaseEntry data)` Get the next key/data pair in the returned set.

Methods inherited from class com.sleepycat.db.MultipleEntry
`append_internal, append_internal, setUserBuffer`

Methods inherited from class com.sleepycat.db.DatabaseEntry
`equals, getBlob, getData, getDataNIO, getOffset, getPartial, getPartialLength, getPartialOffset, getReadOnly, getRecordNumber, getReuseBuffer, getSize, getUserBuffer, getUserBufferLength, hashCode, setBlob, setData, setData, setDataNIO, setDataNIO, setOffset, setPartial, setPartial, setPartialLength, setPartialOffset, setReadOnly, setRecordNumber, setReuseBuffer, setSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleKeyNIODataEntry

    public MultipleKeyNIODataEntry()

  Construct an entry with no data. The object must be configured before use with the `DatabaseEntry.setDataNIO` method.

### MultipleKeyNIODataEntry

    public MultipleKeyNIODataEntry(ByteBuffer data)

  Construct an entry with a given java.nio.ByteBuffer. The offset is set to zero; the size is set to the length of the buffer.

  Parameters:
    `data` - ByteBuffer wrapped by the entry.

Method Detail

### next

    public boolean next(DatabaseEntry key,
                        DatabaseEntry data)

  Get the next key/data pair in the returned set. This method may only be called after a successful call to a `Database` or `Cursor` get method with this object as the data parameter.

  Parameters:
    `key` - an entry that is set to refer to the next key element in the returned set.

    `data` - an entry that is set to refer to the next data element in the returned set.

  Returns:
    indicates whether a value was found. A return of `false` indicates that the end of the set was reached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.